package com.ejie.ab39a.model;

import java.util.ArrayList;
import java.util.List;

/**
 * Eje.
 * 
 *  
 */

public class Eje implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idEje;
	private Long orden;
	private Long ponderacion;
	private Integer idDecreto;
	private Long idTipoorganizacion;
	private String nombre;
	private String nombrecas;
	private String helburu;
	private List<ElementosPe> elementosPes = new ArrayList<ElementosPe>();

	/**
	 * Method 'Eje'.
	 */
	public Eje() {
		super();
	}

	/**
	 * Method 'Eje'.
	 * 
	 * @param idEje
	 *            Long id eje
	 */
	public Eje(Long idEje) {
		super();
		this.idEje = idEje;
	}

	/**
	 * Method 'Eje'.
	 * 
	 * @param idEje
	 *            Long id eje
	 * @param orden
	 *            Long orden
	 * @param ponderacion
	 *            Long ponderacion
	 * @param idDecreto
	 *            Integer id decreto
	 * @param idTipoorganizacion
	 *            Long id tipo organizacion
	 * @param nombre
	 *            String nombre
	 * @param nombrecas
	 *            String nombre castellano
	 * @param helburu
	 *            String helburu
	 */
	public Eje(Long idEje, String nombre, String helburu) {
		super();

		this.idEje = idEje;
		this.nombre = nombre;
		this.helburu = helburu;
	}

	/**
	 * Method 'Eje'.
	 * 
	 * @param idEje
	 *            Long id eje
	 * @param orden
	 *            Long orden
	 * @param ponderacion
	 *            Long ponderacion
	 * @param idDecreto
	 *            Integer id decreto
	 * @param idTipoorganizacion
	 *            Long id tipo organizacion
	 * @param nombre
	 *            String nombre
	 * @param nombrecas
	 *            String nombre castellano
	 * @param helburu
	 *            String helburu
	 */
	public Eje(Long idEje, Long orden, Long ponderacion, Integer idDecreto, Long idTipoorganizacion, String nombre,
			String nombrecas, String helburu) {
		super();

		this.idEje = idEje;
		this.orden = orden;
		this.ponderacion = ponderacion;
		this.idDecreto = idDecreto;
		this.idTipoorganizacion = idTipoorganizacion;
		this.nombre = nombre;
		this.nombrecas = nombrecas;
		this.helburu = helburu;
	}

	/**
	 * Method 'getIdEje'.
	 *
	 * @return Long
	 */

	public Long getIdEje() {
		return this.idEje;
	}

	/**
	 * Method 'setIdEje'.
	 *
	 * @param idEje
	 *            Long
	 */

	public void setIdEje(Long idEje) {
		this.idEje = idEje;
	}

	/**
	 * Method 'getOrden'.
	 *
	 * @return Long
	 */

	public Long getOrden() {
		return this.orden;
	}

	/**
	 * Method 'setOrden'.
	 *
	 * @param orden
	 *            Long
	 */

	public void setOrden(Long orden) {
		this.orden = orden;
	}

	/**
	 * Method 'getPonderacion'.
	 *
	 * @return Long
	 */

	public Long getPonderacion() {
		return this.ponderacion;
	}

	/**
	 * Method 'setPonderacion'.
	 *
	 * @param ponderacion
	 *            Long
	 */

	public void setPonderacion(Long ponderacion) {
		this.ponderacion = ponderacion;
	}

	/**
	 * Method 'getIdDecreto'.
	 *
	 * @return Integer
	 */

	public Integer getIdDecreto() {
		return this.idDecreto;
	}

	/**
	 * Method 'setIdDecreto'.
	 *
	 * @param idDecreto
	 *            Integer
	 */

	public void setIdDecreto(Integer idDecreto) {
		this.idDecreto = idDecreto;
	}

	/**
	 * Method 'getIdTipoorganizacion'.
	 *
	 * @return Long
	 */

	public Long getIdTipoorganizacion() {
		return this.idTipoorganizacion;
	}

	/**
	 * Method 'setIdTipoorganizacion'.
	 *
	 * @param idTipoorganizacion
	 *            Long
	 */

	public void setIdTipoorganizacion(Long idTipoorganizacion) {
		this.idTipoorganizacion = idTipoorganizacion;
	}

	/**
	 * Method 'getNombre'.
	 *
	 * @return String
	 */

	public String getNombre() {
		return this.nombre;
	}

	/**
	 * Method 'setNombre'.
	 *
	 * @param nombre
	 *            String
	 */

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * Method 'getNombrecas'.
	 *
	 * @return String
	 */

	public String getNombrecas() {
		return this.nombrecas;
	}

	/**
	 * Method 'setNombrecas'.
	 *
	 * @param nombrecas
	 *            String
	 */

	public void setNombrecas(String nombrecas) {
		this.nombrecas = nombrecas;
	}

	/**
	 * Method 'getHelburu'.
	 *
	 * @return String
	 */

	public String getHelburu() {
		return this.helburu;
	}

	/**
	 * Method 'setHelburu'.
	 *
	 * @param helburu
	 *            String
	 */

	public void setHelburu(String helburu) {
		this.helburu = helburu;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idEje: ").append(this.idEje).append(" ]");
		result.append(", [ orden: ").append(this.orden).append(" ]");
		result.append(", [ ponderacion: ").append(this.ponderacion).append(" ]");
		result.append(", [ idDecreto: ").append(this.idDecreto).append(" ]");
		result.append(", [ idTipoorganizacion: ").append(this.idTipoorganizacion).append(" ]");
		result.append(", [ nombre: ").append(this.nombre).append(" ]");
		result.append(", [ nombrecas: ").append(this.nombrecas).append(" ]");
		result.append(", [ helburu: ").append(this.helburu).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * Method 'getElementosPes'.
	 * 
	 * @return List<ElementosPe>
	 */
	public List<ElementosPe> getElementosPes() {
		return elementosPes;
	}

	/**
	 * Method 'setElementosPes'.
	 * 
	 * @param elementosPes
	 *            List<ElementosPe> elementosPes
	 */
	public void setElementosPes(List<ElementosPe> elementosPes) {
		this.elementosPes = elementosPes;
	}

}
